@use "../theme";

.programming-language {
    display: flex;
    align-items: center;

    &__dot {
        border-radius: 50%;
        margin-right: theme.$spacing02;
        height: 1rem;
        width: 1rem;
        background-color: var(--language-color, theme.$colorBrand);
        flex-shrink: 0;
    }

    a {
        color: theme.$colorBrandDark;
        text-decoration: none;
    }
}

.top-programming-languages {
    column-count: 2;

    @media only screen and (min-width: theme.$md) {
        column-count: 4;
    }

    li {
        margin-bottom: theme.$spacing01;
    }
}
